repo/gentoo:master commit in: dev-python/python-gammu/
MichaŠGórny <[email protected]> Wed, 05 Aug 2026 02:13:35 +0000 (UTC)
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1785895168.d81a769d5df0ef2dbac50707b5183f31a529c7cc.mgorny@gentoo> |
commit: d81a769d5df0ef2dbac50707b5183f31a529c7cc
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 5 01:59:28 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug 5 01:59:28 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d81a769d
dev-python/python-gammu: Bump to 3.4.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/python-gammu/Manifest | 1 +
dev-python/python-gammu/python-gammu-3.4.0.ebuild | 58 +++++++++++++++++++++++
2 files changed, 59 insertions(+)
diff --git a/dev-python/python-gammu/Manifest b/dev-python/python-gammu/Manifest
index 0e633bd11ce8..e292211b26f7 100644
--- a/dev-python/python-gammu/Manifest
+++ b/dev-python/python-gammu/Manifest
@@ -1 +1,2 @@
DIST python-gammu-3.2.5.gh.tar.gz 149125 BLAKE2B a4e3864698fd826cb16f9d20293f8d97cf0234433fcd2b8691ef8e5c5c2c9d90cd21acb9cb81d85dae404579b720f89885a491944657d9404ea6d2ce4ebd9096 SHA512 57b665636d60a463a7de25bfcf632d2b067a14426cb355ae6f57d97459229a7c9af3d274426fb9c52930cd66d0640e9e57cb00eef80ec63ebfa34678462ab2ed
+DIST python-gammu-3.4.0.gh.tar.gz 152822 BLAKE2B 42aa3ae968f81fdb7276fff82617351f84a744205d90eb4be130fa364949c1d195fe062e965bde51146fce491218f4c8b1b060df64418be652427de098d97a95 SHA512 868daeb3feb4150da69404b95b2c09559959e791d88e263c03771fe1316f8047f01dfe2575032005b4f46839b10b1f0dc96159445036505f07d3f8b438cbc358
diff --git a/dev-python/python-gammu/python-gammu-3.4.0.ebuild b/dev-python/python-gammu/python-gammu-3.4.0.ebuild
new file mode 100644
index 000000000000..dee915e0420e
--- /dev/null
+++ b/dev-python/python-gammu/python-gammu-3.4.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for Gammu"
+HOMEPAGE="
+ https://wammu.eu/python-gammu/
+ https://github.com/gammu/python-gammu/
+ https://pypi.org/project/python-gammu/
+"
+SRC_URI="
+ https://github.com/gammu/python-gammu/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ >=app-mobilephone/gammu-1.44.0
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ virtual/pkgconfig
+ test? (
+ $(python_gen_impl_dep sqlite)
+ app-mobilephone/gammu[dbi]
+ )
+"
+
+DOCS=( AUTHORS NEWS.rst README.rst )
+
+distutils_enable_tests unittest
+
+python_test() {
+ rm -rf gammu || die
+ eunittest
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ if use examples; then
+ docompress -x /usr/share/doc/${P}/examples
+ dodoc -r examples
+ fi
+}